package com.zzsn.generation.autotype;


/**
 * 处理流程
 * 创建人：fsl
 * 创建时间：2015-6-7 下午4:26:23   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class HashList {
	/*
	 * 主键ID
	 */
	private Long id;
	/**
	 * processitemID
	 */
	private Long pid;
	/**
	 * 64位HashNumber
	 */
	private String hashnumber;
	/**
	 * 前 8位 Hash 
	 */
	private Long hashnumber1;
	/**
	 * 中间 8位hash
	 */
	private Long hashnumber2;
	/**
	 * 中间 8位hash
	 */
	private Long hashnumber3;
	/**
	 * 最后 8位hash
	 */
	private Long hashnumber4;
	/**
     * 最后 8位hash
     */
    private Long hashnumber5;
    /**
     * 最后 8位hash
     */
    private Long hashnumber6;
    /**
     * 最后 8位hash
     */
    private Long hashnumber7;
    /**
     * 最后 8位hash
     */
    private Long hashnumber8;
	
	/**
	 * 标题的hash
	 */
	private String thashnumber;
	/**
	 * 组织ID
	 */
	private Long orgId;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getPid() {
		return pid;
	}
	public void setPid(Long pid) {
		this.pid = pid;
	}
	public String getHashnumber() {
		return hashnumber;
	}
	public void setHashnumber(String hashnumber) {
		this.hashnumber = hashnumber;
	}
	public Long getHashnumber1() {
		return hashnumber1;
	}
	public void setHashnumber1(Long hashnumber1) {
		this.hashnumber1 = hashnumber1;
	}
	public Long getHashnumber2() {
		return hashnumber2;
	}
	public void setHashnumber2(Long hashnumber2) {
		this.hashnumber2 = hashnumber2;
	}
	public Long getHashnumber3() {
		return hashnumber3;
	}
	public void setHashnumber3(Long hashnumber3) {
		this.hashnumber3 = hashnumber3;
	}
	public Long getHashnumber4() {
		return hashnumber4;
	}
	public void setHashnumber4(Long hashnumber4) {
		this.hashnumber4 = hashnumber4;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
    public String getThashnumber() {
        return thashnumber;
    }
    public void setThashnumber(String thashnumber) {
        this.thashnumber = thashnumber;
    }
    public Long getHashnumber5() {
        return hashnumber5;
    }
    public void setHashnumber5(Long hashnumber5) {
        this.hashnumber5 = hashnumber5;
    }
    public Long getHashnumber6() {
        return hashnumber6;
    }
    public void setHashnumber6(Long hashnumber6) {
        this.hashnumber6 = hashnumber6;
    }
    public Long getHashnumber7() {
        return hashnumber7;
    }
    public void setHashnumber7(Long hashnumber7) {
        this.hashnumber7 = hashnumber7;
    }
    public Long getHashnumber8() {
        return hashnumber8;
    }
    public void setHashnumber8(Long hashnumber8) {
        this.hashnumber8 = hashnumber8;
    }
}
